MTINKD(8)

NAME
mtinkd - daemon para controlar a sua impressora EPSON

SYNOPSIS

mtinkd [-dev device_file] [-name model] [-usbbase pattern_device_file] [-nodaemaon] [-model model_name] [-debug] [[start] | [stop] | [status]]

DESCRIÇÃO

Este manual documenta abreviadamente o comando mtinkd.

Este manual foi escrito para a distribuição Debian GNU/Linux porque o programa original não tem um manual.

mtinkd é um monitor de estado para impressoras de jacto de tinta EPSON

Permite ver a tinta restante enquanto imprime.

Como mantém /dev/lp* aberto, você tem de alterar o seu parâmetro de impressão para unir a impressora a /var/run/mtink/printer

OPÇÕES

Estes programas seguem a sintaxe de linha de comandos normal de GNU, com as opções longas a começar com dois traços (`-'). Um sumário das opções está incluído em baixo.

Opções para mtinkd

-dev device_file
    Esta opção é obrigatória e é também usada de modo a obter o estado ou para parar um serviço em execução. device_file é nome o do dispositivo de caractere no qual a impressora está anexada (/dev/lp0, /dev/usb/lp0, /dev/ecpp0).

-nodaemon
    Esta opção é para objectivos de testes, sem esta opção o mtink arranca a correr nos bastidores.

-name model
    Se a impressora não retornar uma identidade você pode dizer qual impressora está anexada. O nome é derivado do nome oficial e os caracteres de espaço devem ser substituídos pelo caractere "_". Este será o caso para a Stylus Scan 2500 (nome de modelo é Scan_2500).

    Esta opção pode ser útil para dispositivos multi-função como a Stylus Photo 895 sob Linux. Se a impressora for desligada e depois ligada, o kernel usb não irá detectar a impressora correctamente e o mtinkd tem de ser pelo menos parado e iniciado de novo.

-model model_name
    O nome do pipe nomeado será definido de acordo com este nome. Se a opção -model não for dada, o mtinkd irá terminar se a identificação retornada não coincidir com o nome passado.

-usbbase
    Esta opção requer uma chamada especial de sistema que só está implementada nos kernels mais recentes.

    A opção -type name é requerida !

    "path" e "device file" base podem ser /usr/usblp ou /usr/usb/lp. Todos os ficheiros de dispositivo que correspondam ao nome passado irão ser sondados pela impressora procurada, o ficheiro de dispositivo será depois usado.

    Se o kernel não suportar a chamada especial, a sondagem vai falhar e se a opção -dev device_file for dada, será então usado o nome de ficheiro de dispositivo dado.

start
    O servidor irá arrancar. A opção "start" pode ser omitida.

stop
    Um servidor a correr irá ser parado.

status
    Isto permite perguntar se um servidor está a correr.

LICENÇA

Este manual foi escrito por Sylvain Le Gall <gildor@debian.org> para o sistema Debian GNU/Linux (mas pode ser usado por outros). É dada permissão para copiar, distribuir e/ou modificar este documento sob os termos de GNU Lesser General Public License, Version 2.1 ou qualquer versão posterior publicada pela Free Software Foundation; considerando como código fonte todos os ficheiros capazes de produzir este manual.

VEJA TAMBÉM

/usr/share/doc/mtink/html/index.html

AUTHOR

Sylvain Le Gall <gildor@debian.org>
    Author.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006 Sylvain Le Gall